Debian Bug report logs - #459482
FTBFS on arm/eabi port (armel)

version graph

Package: dietlibc-dev; Maintainer for dietlibc-dev is Hector Oron <zumbi@debian.org>; Source for dietlibc-dev is src:dietlibc.

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Sun, 6 Jan 2008 20:33:04 UTC

Severity: normal

Tags: fixed, help, patch, upstream

Found in version dietlibc/0.31-1

Fixed in version dietlibc/0.32-5.2

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: please add support from arm/eabi port (armel)
Date: Sun, 6 Jan 2008 22:15:52 +0200
Package: dietlibc-dev
Version: 0.31-1
Severity: wishlist
User: debian-arm@lists.debian.org
Usertags: eabi

Glibc and uclibc have added armel port support already, dietlibc
remains lacking upstream support.. This is unfortunate as many
of the packages build-depending on dietlibc are embedded-focused
and thus armel users would really need it most.

See http://wiki.debian.org/ArmEabiPort for details about the
port.

-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #10 received at 459482@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: web@fefe.de
Cc: 459482@bugs.debian.org
Subject: dietlibc arm eabi port
Date: Sat, 28 Jun 2008 19:35:19 +0300
[Message part 1 (text/plain, inline)]
Hi,

I notice that the dietlibc mailing list mentions a arm eabi port patch.
However, I was not able to find the patch on mailing list or cvs. What
it is the status of this work? I'd like to get it to debian arm eabi
port soonish, as we are about to have a library freeze in a month.

Cheers,
Riku

-- 
"rm -rf" only sounds scary if you don't have backups
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #15 received at 459482@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 459482@bugs.debian.org
Subject: please add arm eabi support
Date: Fri, 5 Sep 2008 20:30:08 +0300
Hi,

I see the arm EABI support has been added to dietlibc cvs, would you
have time to update the package to include these changes?

-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Tue, 18 Nov 2008 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 18 Nov 2008 08:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 459482@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Riku Voipio <riku.voipio@iki.fi>, 459482@bugs.debian.org
Subject: Re: Bug#459482: please add arm eabi support
Date: Tue, 18 Nov 2008 09:14:22 +0100
* Riku Voipio <riku.voipio@iki.fi> [2008-09-05 20:30]:
> I see the arm EABI support has been added to dietlibc cvs, would you
> have time to update the package to include these changes?

Are those changes relatively self-contained?  I wonder if the patch
could be backported to the version in Debian for inclusion in lenny.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Tue, 18 Nov 2008 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>, 459482@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 18 Nov 2008 14:57:07 GMT) Full text and rfc822 format available.

Message #25 received at 459482@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Martin Michlmayr <tbm@cyrius.com>, 459482@bugs.debian.org
Cc: Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Bug#459482: please add arm eabi support
Date: Tue, 18 Nov 2008 14:52:27 +0000
[Message part 1 (text/plain, inline)]
On Tue, Nov 18, 2008 at 09:14:22AM +0100, Martin Michlmayr wrote:
> * Riku Voipio <riku.voipio@iki.fi> [2008-09-05 20:30]:
> > I see the arm EABI support has been added to dietlibc cvs, would you
> > have time to update the package to include these changes?
> 
> Are those changes relatively self-contained?  I wonder if the patch
> could be backported to the version in Debian for inclusion in lenny.

I'm not sure.  In upstream cvs, it seems to be a single commit, see
attachment, can you try it out?

Regards, Gerrit.
[0001-ARM-EABI.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Sun, 07 Dec 2008 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 07 Dec 2008 18:42:02 GMT) Full text and rfc822 format available.

Message #30 received at 459482@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 459482@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Bug#459482: please add arm eabi support
Date: Sun, 7 Dec 2008 19:40:33 +0100
* Gerrit Pape <pape@smarden.org> [2008-11-18 14:52]:
> > Are those changes relatively self-contained?  I wonder if the patch
> > could be backported to the version in Debian for inclusion in lenny.
> 
> I'm not sure.  In upstream cvs, it seems to be a single commit, see
> attachment, can you try it out?

I finally had a chance to try this patch.  I had to make some minor
changes so it would apply to the Debian package but then I ran into
this issue:

> bin-arm/diet gcc -D__dietlibc__ -pipe -nostdinc -Os -fomit-frame-pointer -fstrict-aliasing -mabi=aapcs-linux -mfloat-abi=soft -mno-thumb-interwork -Wall -W -Wchar-subscripts -Wmissing-prototypes -Wmissing-declarations -Wno-switch -Wno-unused -Wredundant-decls -o bin-arm/elftrunc contrib/elftrunc.c
> make[1]: *** [bin-arm/elftrunc] Segmentation fault
> make[1]: Leaving directory `/home/tbm/dietlibc-0.31'

I don't have the time (and probably not the knowledge) to investigate
further.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Wed, 07 Jan 2009 11:33:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yuri Kozlov <yuray@komyakino.ru>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 07 Jan 2009 11:33:18 GMT) Full text and rfc822 format available.

Message #35 received at 459482@bugs.debian.org (full text, mbox):

From: Yuri Kozlov <yuray@komyakino.ru>
To: 459482@bugs.debian.org
Subject: please add support from arm/eabi port (armel)
Date: Wed, 7 Jan 2009 14:32:14 +0300
Hello.

Building dietlibc for armel from dietlibc cvs is OK for me.
Before cross building you need to build diet for native architecture.

$make all
$make ARCH=arm CROSS=arm-linux-gnueabi- all
$ readelf -a bin-arm/elftrunc |grep Flags
  Flags:                             0x4000002, has entry point,
Version4 EABI

And its starting on my FreeRunner:

root@om-gta02:~# ./elftrunc 
usage: elftrunc srcprogname [dstprogname]

-- 
Regards,
Yuri Kozlov





Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Wed, 22 Apr 2009 21:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathias Reem <m.reem@gmx.net>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 22 Apr 2009 21:48:11 GMT) Full text and rfc822 format available.

Message #40 received at 459482@bugs.debian.org (full text, mbox):

From: Mathias Reem <m.reem@gmx.net>
To: 459482@bugs.debian.org
Subject: please add support from arm/eabi port (armel)
Date: Wed, 22 Apr 2009 23:26:29 +0200
Hi

after Yuri wrote that dietlibc cvs works for him, I've tried to compile
it myself on a qemu emulated ARM (prebuid debian lenny from
http://people.debian.org/~aurel32/qemu/armel/).

CVS seems not to work if you are compiling on a "real" arm, instead of
crosscompiling. I get the same error as Martin.

> bin-arm/diet gcc -D__dietlibc__ -pipe -nostdinc -Os -fomit-frame-pointer -fstrict-aliasing -mabi=aapcs-linux -mfloat-abi=soft -mno-thumb-interwork -W -Wall -Wextra -Wchar-subscripts -Wmissing-prototypes -Wmissing-declarations -Wno-switch -Wno-unused -Wredundant-decls -o bin-arm/elftrunc contrib/elftrunc.c
> make: *** [bin-arm/elftrunc] Segmentation fault

The problem is the call to bin-arm/diet, that is where the Segmentation
fault comes from. As the emulated Arch (armv5tejl) is not recognized by
the makefile, I've tried to build the dietlibc with:

make MYARCH=arm

Are there any tips or hints how to make dietlibc work with EABI?

cu
	Mathias




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Sat, 25 Apr 2009 07:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yuri Kozlov <yuray@komyakino.ru>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 25 Apr 2009 07:48:02 GMT) Full text and rfc822 format available.

Message #45 received at 459482@bugs.debian.org (full text, mbox):

From: Yuri Kozlov <yuray@komyakino.ru>
To: 459482@bugs.debian.org
Subject: Re: Bug#459482: please add support from arm/eabi port (armel)
Date: Sat, 25 Apr 2009 11:44:54 +0400
On Wed, 22 Apr 2009 23:26:29 +0200
Mathias Reem <m.reem@gmx.net> wrote:

> Hi
> 
> after Yuri wrote that dietlibc cvs works for him, I've tried to compile
> it myself on a qemu emulated ARM (prebuid debian lenny from
> http://people.debian.org/~aurel32/qemu/armel/).
> 
> CVS seems not to work if you are compiling on a "real" arm, instead of
> crosscompiling. I get the same error as Martin.
> 
> > bin-arm/diet gcc -D__dietlibc__ -pipe -nostdinc -Os
> > -fomit-frame-pointer -fstrict-aliasing -mabi=aapcs-linux
> > -mfloat-abi=soft -mno-thumb-interwork -W -Wall -Wextra
> > -Wchar-subscripts -Wmissing-prototypes -Wmissing-declarations
> > -Wno-switch -Wno-unused -Wredundant-decls -o bin-arm/elftrunc
> > contrib/elftrunc.c make: *** [bin-arm/elftrunc] Segmentation fault
> 
> The problem is the call to bin-arm/diet, that is where the Segmentation
> fault comes from. As the emulated Arch (armv5tejl) is not recognized by
> the makefile, I've tried to build the dietlibc with:
> 
> make MYARCH=arm
> 
> Are there any tips or hints how to make dietlibc work with EABI?

The bug is exists, indeed.
Try
make MYARCH=arm DEBUG=1

Its worked on pointed by you qemu emulated ARM.

-- 
Best Regards,
Yuri Kozlov





Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Fri, 04 Sep 2009 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lluís Batlle <viriketo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 04 Sep 2009 11:09:03 GMT) Full text and rfc822 format available.

Message #50 received at 459482@bugs.debian.org (full text, mbox):

From: Lluís Batlle <viriketo@gmail.com>
To: 459482@bugs.debian.org
Subject: Confirming the bug also in dietlibc 0.32
Date: Fri, 4 Sep 2009 12:56:33 +0200
I confirm I see the same bug in dietlibc 0.32.
gcc 4.3.4
compiling native in armv5tel-linux-gnueabi, kernel headers from 2.6.28

This happens not only in debian.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Sun, 18 Oct 2009 09:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Tuckley <colint@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 18 Oct 2009 09:06:06 GMT) Full text and rfc822 format available.

Message #55 received at 459482@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: control@bugs.debian.org, 459482@bugs.debian.org
Subject: dietlibc ftbfs on armel
Date: Sun, 18 Oct 2009 09:59:12 +0100
severity 459482 normal
stop

Raising to normal severity since armel is now an official arch.

-- 
Colin Tuckley      |  +44(0)1223 293413  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x1B3045CE

Those who dream by day are cognisant of many things that escape those who
dream only by night. - E. A. Poe.




Severity set to 'normal' from 'wishlist' Request was from Colin Tuckley <colint@debian.org> to control@bugs.debian.org. (Sun, 18 Oct 2009 09:06:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'FTBFS on arm/eabi port (armel)' from 'please add support from arm/eabi port (armel)' Request was from Colin Tuckley <colin@tuckley.org> to control@bugs.debian.org. (Sun, 18 Oct 2009 09:36:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream and help. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Tue, 13 Apr 2010 11:51:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Sun, 18 Jul 2010 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 18 Jul 2010 01:09:03 GMT) Full text and rfc822 format available.

Message #66 received at 459482@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 459482@bugs.debian.org, 381914@bugs.launchpad.net
Subject: dietlibc on armel
Date: Sun, 18 Jul 2010 01:04:27 +0000 (UTC)
Hi,

this ought to be fixed upstream, maybe armel porters can help Fefe:

http://thread.gmane.org/gmane.linux.lib.dietlibc/1510/focus=1514

bye,
//mirabilos
-- 
I believe no one can invent an algorithm. One just happens to hit upon it
when God enlightens him. Or only God invents algorithms, we merely copy them.
If you don't believe in God, just consider God as Nature if you won't deny
existence.		-- Coywolf Qi Hunt




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Sun, 26 Sep 2010 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 26 Sep 2010 17:45:03 GMT) Full text and rfc822 format available.

Message #71 received at 459482@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 459482@bugs.debian.org, pape@smarden.org
Subject: dietlibc: fix for armel build
Date: Sun, 26 Sep 2010 18:42:16 +0100
[Message part 1 (text/plain, inline)]
Hello,

With attached patch I was able to generate Debian packages. Patch is
not optimal, but better than nothing. I also tested upstream CVS code
and I could reproduce the segfault on elftrunc.c when compiling
without debug support.


diff -Naur dietlibc-0.32/debian/control dietlibc-0.32.new//debian/control
--- dietlibc-0.32/debian/control        2010-09-26 17:28:24.000000000 +0000
+++ dietlibc-0.32.new//debian/control   2010-09-26 17:24:37.000000000 +0000
@@ -6,7 +6,7 @@

 Package: dietlibc-dev
 Section: libdevel
-Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc
ppc64 s390 sparc
+Architecture: alpha amd64 arm armel hppa i386 ia64 mips mipsel
powerpc ppc64 s390 sparc
 Recommends: dietlibc (= ${source:Version})
 Suggests: dietlibc-doc
 Description: diet libc - a libc optimized for small size
diff -Naur dietlibc-0.32/debian/rules dietlibc-0.32.new//debian/rules
--- dietlibc-0.32/debian/rules  2010-09-26 17:28:24.000000000 +0000
+++ dietlibc-0.32.new//debian/rules     2010-09-26 17:28:01.000000000 +0000
@@ -18,6 +18,11 @@
 else
 ifeq ($(ARCH),mipsel)
   ARCH =mips
+else
+ifeq ($(ARCH),armel)
+  ARCH =arm
+  DEBUG =1
+endif
 endif
 endif
 endif
diff -Naur dietlibc-0.32/diet.c dietlibc-0.32.new//diet.c
--- dietlibc-0.32/diet.c        2009-03-16 23:17:58.000000000 +0000
+++ dietlibc-0.32.new//diet.c   2010-09-26 17:26:38.000000000 +0000
@@ -33,7 +33,7 @@
   "sparc64","-Os","-m64","-mhard-quad-float",0,
   "alpha","-Os","-fomit-frame-pointer",0,
 #ifdef __ARM_EABI__
-  "arm","-Os","-fomit-frame-pointer","-mfloat-abi=soft","-meabi=4",0,
+  "arm","-Os","-fomit-frame-pointer","-mfloat-abi=soft",0,
 #else
   "arm","-Os","-fomit-frame-pointer",0,
 #endif

(also attached patch in case txt format is messed up)
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[add-armel-support.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 17:54:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed and pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 17:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Sun, 26 Sep 2010 18:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 26 Sep 2010 18:21:03 GMT) Full text and rfc822 format available.

Message #80 received at 459482@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 459482@bugs.debian.org
Subject: Re: Bug#459482: dietlibc: fix for armel build
Date: Sun, 26 Sep 2010 19:16:59 +0100
Hello,

2010/9/26 Hector Oron <hector.oron@gmail.com>:

> diff -Naur dietlibc-0.32/diet.c dietlibc-0.32.new//diet.c
> --- dietlibc-0.32/diet.c        2009-03-16 23:17:58.000000000 +0000
> +++ dietlibc-0.32.new//diet.c   2010-09-26 17:26:38.000000000 +0000
> @@ -33,7 +33,7 @@
>   "sparc64","-Os","-m64","-mhard-quad-float",0,
>   "alpha","-Os","-fomit-frame-pointer",0,
>  #ifdef __ARM_EABI__
> -  "arm","-Os","-fomit-frame-pointer","-mfloat-abi=soft","-meabi=4",0,
> +  "arm","-Os","-fomit-frame-pointer","-mfloat-abi=soft",0,

Oh! I just realize that upstream passes -meabi=4 option via GCC but it
really is an assembler/linker option, so it could be kept by changing
"-Wl,meabi=4", let me know if you want me to test it, otherwise,
compiler automatically passes meabi=5 by default.

>  #else
>   "arm","-Os","-fomit-frame-pointer",0,
>  #endif

Best regards,
  -- Hector Oron




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Sun, 21 Nov 2010 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien VAUBOURG <julien@vaubourg.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 21 Nov 2010 12:48:03 GMT) Full text and rfc822 format available.

Message #85 received at 459482@bugs.debian.org (full text, mbox):

From: Julien VAUBOURG <julien@vaubourg.com>
To: 459482@bugs.debian.org
Subject: dietlibc armel build / make dyn issues
Date: Sun, 21 Nov 2010 13:44:50 +0100
[Message part 1 (text/plain, inline)]
Hi,

Actually, with no "-meabi=4" in diet.c and "make MYARCH=arm DEBUG=1", there is no bug with compiling.

But, with "make MYARCH=arm dyn", there are issues:

	gcc -D__dietlibc__ -I. -isystem include -pipe -nostdinc -Os -fomit-frame-pointer
	-fstrict-aliasing -mabi=aapcs-linux -mfloat-abi=soft -mno-thumb-interwork -W
	-Wall -Wextra -Wchar-subscripts -Wmissing-prototypes - Wmissing-declarations
	-Wno-switch -Wno-unused -Wredundant-decls -fPIC -D__DYN_LIB -c
	arm/dyn_syscalls.S -o pic-arm/dyn_syscalls.o
	arm/../syscalls.s/__pread.S: Assembler messages:
	arm/../syscalls.s/__pread.S:3: Error: invalid literal constant: pool needs to be closer
	arm/../syscalls.s/__pwrite.S:3: Error: invalid literal constant: pool needs to be closer
	arm/../syscalls.s/getrlimit.S:3: Error: invalid literal constant: pool needs to be closer
	make: *** [pic-arm/dyn_syscalls.o] Error 1

The third line of arm/../syscalls.s/__pread.S is:

	syscall_weak(pread,pread64,__libc_pread64)

And syscall_weak is a macro defined in arm/syscalls.h:

	 1 #define syscall_weak(name,wsym,sym) __syscall_weak __NR_##name, wsym, sym, __ARGS_##name
	 2 .macro __syscall_weak name wsym sym typ
	 3 .text 
	 4 .type \wsym,function
	 5 .weak \wsym
	 6 \wsym:
	 7 .type \sym,function
	 8 .global \sym
	 9 \sym:
	10      stmfd   sp!,{r4,r5,r7,lr}
	11      ldr     r4, [sp,#16]
	12      ldr     r5, [sp,#20]
	13      ldr     r7, =\name
	14      swi     0
	15      b       __unified_syscall
	16 .endm

I don't know debug that...

Thanks a lot,

-- 
http://julien.vaubourg.com
lemanchotvolant@jabber.fr
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Fri, 25 Feb 2011 00:49:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 25 Feb 2011 00:49:23 GMT) Full text and rfc822 format available.

Message #90 received at 459482@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 459482@bugs.debian.org
Subject: dietlibc: uploaded to DELAYED/7
Date: Fri, 25 Feb 2011 00:43:21 +0000
[Message part 1 (text/plain, inline)]
Hello,

  I have uploaded dietlibc to DELAYED/7 adding support for ARM targets
(arm, armel, armeb, armhf).

  See attached patch

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[0001-Add-ARM-armel-and-armhf-support.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#459482; Package dietlibc-dev. (Fri, 25 Feb 2011 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 25 Feb 2011 01:15:03 GMT) Full text and rfc822 format available.

Message #95 received at 459482@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 459482@bugs.debian.org
Subject: dietlibc: keep an eye on ARM patch sets
Date: Fri, 25 Feb 2011 01:11:57 +0000
Hello,

  FYI, this patchset might be helpful at some point for ARM architecture:
  http://article.gmane.org/gmane.linux.lib.dietlibc/1574

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Fri, 04 Mar 2011 01:21:03 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Fri, 04 Mar 2011 01:21:03 GMT) Full text and rfc822 format available.

Message #100 received at 459482-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 459482-close@bugs.debian.org
Subject: Bug#459482: fixed in dietlibc 0.32-5.2
Date: Fri, 04 Mar 2011 01:17:10 +0000
Source: dietlibc
Source-Version: 0.32-5.2

We believe that the bug you reported is fixed in the latest version of
dietlibc, which is due to be installed in the Debian FTP archive:

dietlibc-dev_0.32-5.2_armel.deb
  to main/d/dietlibc/dietlibc-dev_0.32-5.2_armel.deb
dietlibc-doc_0.32-5.2_all.deb
  to main/d/dietlibc/dietlibc-doc_0.32-5.2_all.deb
dietlibc_0.32-5.2.diff.gz
  to main/d/dietlibc/dietlibc_0.32-5.2.diff.gz
dietlibc_0.32-5.2.dsc
  to main/d/dietlibc/dietlibc_0.32-5.2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459482@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated dietlibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 25 Feb 2011 00:35:53 +0000
Source: dietlibc
Binary: dietlibc-dev dietlibc-doc
Architecture: source all armel
Version: 0.32-5.2
Distribution: unstable
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 dietlibc-dev - diet libc - a libc optimized for small size
 dietlibc-doc - diet libc documentation - a libc optimized for small size
Closes: 459482
Changes: 
 dietlibc (0.32-5.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add ARM (armel and armhf) support. (Closes: #459482)
Checksums-Sha1: 
 5bb040332eae930a36894459fcbedbd63e3c7c28 1665 dietlibc_0.32-5.2.dsc
 13ce6d3dbddc9b8e137478a1617a614dd67eb8db 46928 dietlibc_0.32-5.2.diff.gz
 bdb71cd145b318a1d0966c557bf89b8fe54c03ed 53650 dietlibc-doc_0.32-5.2_all.deb
 9cb37583c984ae3c88b903991d68fcfeebdc78e5 877452 dietlibc-dev_0.32-5.2_armel.deb
Checksums-Sha256: 
 d14cca318b840fa23a6e19bf84c86ef33be57cb3627b1c9ea98af3dc56924653 1665 dietlibc_0.32-5.2.dsc
 1bb16a4792be24386540cf4d58f49b49e8be2918f8526ad08166d2478719c0aa 46928 dietlibc_0.32-5.2.diff.gz
 2b45595e3389653881df48ed4ff3f7645a049578ff2ca7d0888906a6c712439b 53650 dietlibc-doc_0.32-5.2_all.deb
 a7d52b5f0e843e04ac0c5c893343ca347bfcb6a5701eb55b50420571292330ec 877452 dietlibc-dev_0.32-5.2_armel.deb
Files: 
 5f32894f59444c397ad1542e5e352f3c 1665 devel optional dietlibc_0.32-5.2.dsc
 6befa55564d14390d9206b89af279b96 46928 devel optional dietlibc_0.32-5.2.diff.gz
 8bd3d6618bd98c9d77daafe011f73139 53650 doc optional dietlibc-doc_0.32-5.2_all.deb
 126c90f30feec5e64e3a0beaa7caa6fc 877452 libdevel optional dietlibc-dev_0.32-5.2_armel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJNZv3MAAoJEK8ig6p24qx7WGQP/09BC3JXPUOlhaVdPY7ka3Dx
O+wRGJUIg73/joFiRse7b4dE2jzI/MrMFdOOhHkgp9cIPYGMl+gXlf3g9ePoq0z3
zP1JFkFcHqlyaa/3s27hQfu3hX0kHN1Z0WZmqart/QwYs4FebWKyUwgkgksNfNzW
EPurQ5KNHyTCtwJFQ5kN07cBb/vvMi4BJy7uwAgFwnR69+lNjJoAQMeFyfEtF+kj
l1faqgphLYgxnOx2uI2mFqG3LSpNIxHb3XjgVrrddoW4//BpF4ASlD8mOefJEgQ9
RZFtwWOD/WWUiu9uuGvVCHG35uvNo9BiuaX/2R6KD91AbD1+dQAJ9VKK+biSy+gX
p/gf5WM41wJi/C91pF+1fZrM1wY4KSkuQjisrh/l9rDVr11W2TK93EN6sbBTKVOg
OXknzrm/YfiaXRNv7/rx3DGM1+L/+CT/ovHKDCWNeaeWBYWNyKFTTfBFYI5SCsgy
3JXg0WdTWZOG3A03P5uiBYFkGr1DXBZPMEdMSNvM/113NQxT91lqUPuT7sBak5Tp
DqUiBJG23eb9j7xiY+M2EYbZLQ1y3g3R0qbMhl4JJsaoeARKEECLULAZDPdx9TaJ
je7Y6jcFEOawbUD6AIYlGDSPJQpGt+jQ0OXxFcjTc3JNSz+tVu+UujI0t6+Q+Yty
Zk2rW2cKrlNd8BDEpwrP
=Ec/w
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:48:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:53:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.